/************************************/
/* Gloobus-preview configuration    */
/*                                  */
/************************************/

#include "gloobus-preview-config.h"

//============== CONSTRUCTOR ==============//
gloobusConfig::gloobusConfig(void)
{
	//Default values
	m_taskbar 	= true;
	m_ontop 	= false;
	m_focus 	= false;
}
gloobusConfig::~gloobusConfig(void){}


//============== LOAD CONFIG ==============//
bool gloobusConfig::load_config()
{
	string home = getenv("HOME");
	string configFile = home + "/.config/gloobus/gloobus-preview.cfg";

	GKeyFile * keyFile = g_key_file_new ( );
	g_debug("Loading config file %s\n", configFile.c_str());
	
	if(g_key_file_load_from_file ( keyFile,configFile.c_str(),(GKeyFileFlags)0,NULL ) )
	{
		m_taskbar 	= (bool)g_key_file_get_integer   	( keyFile,"Main","taskbar",	NULL);
		m_ontop 	= (bool)g_key_file_get_integer   	( keyFile,"Main","ontop",	NULL);
		m_focus 	= (bool)g_key_file_get_integer   	( keyFile,"Main","focus",	NULL);
		g_key_file_free									( keyFile );
		return true;
	}
	else
	{
		g_warning("Config file couldn't be readed\n");
		return false;
	}
}

//=============== GET METHODS =============== //
bool	gloobusConfig::get_taskbar		(void){	return m_taskbar; 	}
bool	gloobusConfig::get_ontop		(void){	return m_ontop; 	}
bool	gloobusConfig::get_focus		(void){	return m_focus; 	}
